import React, { useMemo } from "react";
import PropTypes from "prop-types";
import Typography from "@material-ui/core/Typography";
import { makeStyles } from "@material-ui/core/styles";

const useStyles = makeStyles(theme => ({
  panel: {
    display: "flex"
  },
  label: {
    marginRight: "4px"
  },
  data: {
    fontWeight: theme.typography.fontWeightMedium
  }
}));

const DataLabel = ({ label, data }) => {
  const classes = useStyles();
  const lbl = useMemo(
    () => (label.endsWith(":") ? label : `${label}:`),
    [label]
  );

  return (
    <div className={classes.panel}>
      <Typography variant="body2" className={classes.label}>
        {lbl}
      </Typography>
      <Typography variant="body2" className={classes.data}>
        {data}
      </Typography>
    </div>
  );
};

DataLabel.propTypes = {
  label: PropTypes.string.isRequired,
  data: PropTypes.string
};

export default DataLabel;
