import React from "react";
import { Route, Switch } from "react-router-dom";
import PageNotFound from "./PageNotFound";
import NetworkContainer from "../../features/network/components/NetworkContainer";
import SystemContainer from "../../features/system/SystemContainer";
import SettingsContainer from "../../features/settings/SettingsContainer";
import DashboardContainer from "../../features/dashboard/components/DashboardContainer";
import UserProfileContainer from "../../features/user/profile/components/UserProfileContainer";
import AboutContainer from "../../features/about/AboutContainer";

const AppRoutes = () => {
  return (
    <Switch>
      <Route exact path="/dashboard" component={DashboardContainer} />
      <Route exact path="/user-profile" component={UserProfileContainer} />
      <Route exact path="/machines" component={NetworkContainer} />
      <Route exact path="/system" component={SystemContainer} />
      <Route exact path="/settings" component={SettingsContainer} />
      <Route exact path="/about" component={AboutContainer} />
      <Route component={PageNotFound} />
    </Switch>
  );
};

export default AppRoutes;
