import React from "react";
import PropTypes from "prop-types";
import Typography from "@material-ui/core/Typography";

const ReleaseNote = ({ releaseNote }) => {
  return (
    <div>
      {releaseNote.notes.map(note => {
        return (
          <Typography
            key={releaseNote.notes.indexOf(note)}
            variant="body2"
            gutterBottom
          >
            {note}
          </Typography>
        );
      })}
    </div>
  );
};

ReleaseNote.propTypes = {
  releaseNote: PropTypes.object.isRequired
};

export default ReleaseNote;
