import React, { useState, useEffect } from "react";
import SystemVersionComponent from "./SystemVersionComponent";
import useApi from "../../../api";

const SystemVersionContainer = () => {
  const [state, setState] = useState({ data: {}, loaded: false });

  const api = useApi();

  useEffect(() => {
    if (state.loaded) return;
    api.getSystemVersion({
      onCompleted: data => {
        setState({ data, loaded: true });
      }
    });
  }, [api, state.loaded]);

  return <>{state.loaded && <SystemVersionComponent data={state.data} />}</>;
};

export default SystemVersionContainer;
